#CC = purecov cc -Ae -g
CC = gcc -Wall -pedantic -pipe -g
LDFLAGS = -lc -lm

BIN = ./bin

SRC = ./src

CIBLE = $(BIN)/serveur $(BIN)/posteur $(BIN)/lecteur

#CHEMIN_SERVEUR = \"`pwd`/\"

all : $(CIBLE)

$(BIN)/serveur : $(SRC)/serveur.c
	$(CC) $(LDFLAGS) $(CFLAGS) \
	-D CHEMIN_SERVEUR=$(CHEMIN_SERVEUR) \
	$(SRC)/serveur.c -o $(BIN)/serveur

$(BIN)/lecteur : $(SRC)/lecteur.c
	$(CC) $(LDFLAGS) $(CFLAGS) \
	$(SRC)/lecteur.c -o $(BIN)/lecteur

$(BIN)/posteur : $(SRC)/posteur.c
	$(CC) $(LDFLAGS) \
	-D CHEMIN_SERVEUR=$(CHEMIN_SERVEUR) \
	$(SRC)/posteur.c  -o $(BIN)/posteur 
	chmod 4755 $(BIN)/posteur

clean :
	rm -f $(CIBLE)
	rm -f *.o
	rm -f core
	rm -f *.core
	find . -type f -name "*~" -exec rm -f {} \;
